/**
 * Created by mgoria on 6/10/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnknownFolderException = undefined;

var _Exception2 = require('./Exception');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Thrown when unknown FS folder is requested
 */
let UnknownFolderException = exports.UnknownFolderException = function (_Exception) {
  _inherits(UnknownFolderException, _Exception);

  /**
   * @param {String} folderName
   * @param {Array} folders
   */
  function UnknownFolderException(folderName, folders) {
    _classCallCheck(this, UnknownFolderException);

    return _possibleConstructorReturn(this, (UnknownFolderException.__proto__ || Object.getPrototypeOf(UnknownFolderException)).call(this, `Unknown folder "${folderName}". Defined folders are "${folders.join(', ')}"`));
  }

  return UnknownFolderException;
}(_Exception2.Exception);